ExcelFileConverter Class Reference

`#include <ExcelFileConverter.h>`

Inheritance diagram for ExcelFileConverter:

## Public Member Functions

| ExcelFileConverter (const QString &fileName, ApplicationWindow *app, bool keepInputFile=false)
QString | outputFile ()

## Private Slots

void | displayJavaError (QProcess::ProcessError error)
void | displayOfficeError (QProcess::ProcessError error)
void | finish (int exitCode, QProcess::ExitStatus exitStatus)
void | startConvertion ()

## Private Member Functions

void | displayError (const QString &process, QProcess::ProcessError error)
void | startOpenOfficeServer ()

## Private Attributes

QString | d_file_name
bool | d_keep_input_file
QString | d_output_file
QProcess * | java
QProcess * | soffice

## Constructor & Destructor Documentation

## ExcelFileConverter()

ExcelFileConverter::ExcelFileConverter | ( | const QString & | fileName,
|  | ApplicationWindow * | app,
|  | bool | keepInputFile = `false`
| ) |  |

References startOpenOfficeServer().

## Member Function Documentation

## displayError()

void ExcelFileConverter::displayError | ( | const QString & | process,
|  | QProcess::ProcessError | error
| ) |  |

private

Referenced by displayJavaError(), displayOfficeError(), and outputFile().

## displayJavaError

void ExcelFileConverter::displayJavaError | ( | QProcess::ProcessError | error | ) |

private slot

References displayError(), and java.

Referenced by outputFile(), and startConvertion().

## displayOfficeError

void ExcelFileConverter::displayOfficeError | ( | QProcess::ProcessError | error | ) |

private slot

References displayError(), and soffice.

Referenced by outputFile(), and startOpenOfficeServer().

## finish

void ExcelFileConverter::finish | ( | int | exitCode,
|  | QProcess::ExitStatus | exitStatus
| ) |  |

private slot

References d_file_name, ApplicationWindow::d_jodconverter_path, d_keep_input_file, d_output_file, java, soffice, and startConvertion().

Referenced by outputFile(), and startConvertion().

## outputFile()

QString ExcelFileConverter::outputFile | ( |  | ) |

inline

References d_output_file, displayError(), displayJavaError(), displayOfficeError(), finish(), startConvertion(), and startOpenOfficeServer().

Referenced by ApplicationWindow::importExcel().

## startConvertion

void ExcelFileConverter::startConvertion | ( |  | ) |

private slot

References d_file_name, ApplicationWindow::d_java_path, ApplicationWindow::d_jodconverter_path, d_keep_input_file, d_output_file, displayJavaError(), finish(), java, and soffice.

Referenced by finish(), outputFile(), and startOpenOfficeServer().

## startOpenOfficeServer()

void ExcelFileConverter::startOpenOfficeServer | ( |  | ) |

private

References ApplicationWindow::d_soffice_path, displayOfficeError(), soffice, and startConvertion().

Referenced by ExcelFileConverter(), and outputFile().

## Member Data Documentation

## d_file_name

QString ExcelFileConverter::d_file_name

private

Referenced by finish(), and startConvertion().

## d_keep_input_file

bool ExcelFileConverter::d_keep_input_file

private

Referenced by finish(), and startConvertion().

## d_output_file

QString ExcelFileConverter::d_output_file

private

Referenced by finish(), outputFile(), and startConvertion().

## java

QProcess * ExcelFileConverter::java

private

Referenced by displayJavaError(), finish(), and startConvertion().

## soffice

QProcess* ExcelFileConverter::soffice

private

Referenced by displayOfficeError(), finish(), startConvertion(), and startOpenOfficeServer().

The documentation for this class was generated from the following files:

- qtiplot/src/excel/ExcelFileConverter.h
- qtiplot/src/excel/ExcelFileConverter.cpp